=== debian/changelog ===
seabios (1.14.0-2) unstable; urgency=medium

  * install vgabios-ramfb.bin, not romfb
    (Closes: #972482, #976806, LP: #1899546)
  * mention closing of #964663 by 1.14.0
  * d/control: update Standards-Version to 4.5.1 (no changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 08 Dec 2020 14:52:59 +0300

seabios (1.14.0-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Remove myself from maintainers

  [ Michael Tokarev ]
  * new upstream release (1.14.0) (Closes: #964663)
  * actually enable vgabios-bochs-display.bin, and also enable vgabios-romfb.bin
  * set more "=n" flags for stripped-down bios.bin
  * strip trailing spaces from d/changelog
  * switch from d/compat 9 to debhelper-compat 12
  * bump Standards-Version to 4.5.0, no changes
  * reorganize d/rules so that all */*-indep/*-arch targets are available
  * reorganize d/rules to run all variants sequentially but each variant
    in parallel, so that less clutter will be seen on output
  * d/control: use https for homepage
  * d/control: Rules-Requires-Root: no

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 10 Aug 2020 20:53:12 +0300
