## seabios 1.15.0

=== debian/changelog ===
seabios (1.15.0-1) unstable; urgency=medium

  * New upstream release:
   * Improved support for USB devices with multiple interfaces.
   * Support for USB XHCI devices using direct MMIO access (instead of PCI).
   * NVMe improvements.
   * Increased "f-segment" RAM allocations for BIOS tables.
   * Several bug fixes and code cleanups.
  * Update Standards-Version to 4.6.0 (no changes)
  * Stop breaking pre-historic (0.14) qemu
  * Stop building qemu optionrom which is built on qemy itself
    since qemu 3.1 (buster)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 05 Dec 2021 12:58:22 +0300
