=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 VGABIOSES = ati bochs-display cirrus stdvga virtio vmware qxl isavga ramfb
 VGABIOS_TARGETS = $(addprefix build/vgabios-, $(addsuffix .bin, $(VGABIOSES)))
-BIOS_TARGETS = build/bios.bin build/bios-256k.bin ${VGABIOS_TARGETS}
-BUILD_TARGETS = $(BIOS_TARGETS) build/optionrom-stamp
+BIOS_TARGETS = build/bios.bin build/bios-256k.bin build/bios-microvm.bin ${VGABIOS_TARGETS}
+BUILD_TARGETS = $(BIOS_TARGETS)
 
 build build-indep: $(BUILD_TARGETS)
 
@@ -27,12 +27,7 @@
 set -e; \
 if [ ! -e $(basename $@)/.config.old ]; then \
  rm -rf $(basename $@); mkdir -p $(basename $@); \
- for x in $2; do \
-  case $$x in \
-   (*=n) echo "# CONFIG_$${x%=*} is not set";; \
-   (*) echo CONFIG_$$x;; \
-  esac; \
- done > $(basename $@)/.config; \
+ for x in $2; do echo CONFIG_$$x; done > $(basename $@)/.config; \
  $(MAKE) ${MAKEVARS} KCONFIG_CONFIG=$(CURDIR)/$(basename $@)/.config OUT=$(basename $@)/ oldnoconfig; \
 fi
 +$(MAKE) ${MAKEVARS} KCONFIG_CONFIG=$(CURDIR)/$(basename $@)/.config OUT=$(basename $@)/ $(basename $@)/$1.bin
@@ -45,6 +40,9 @@
 	$(call build-bios,bios,QEMU=y ROM_SIZE=128 PVSCSI=n ATA_DMA=n BOOTSPLASH=n XEN=n USB_OHCI=n USB_XHCI=n USB_UAS=n SDCARD=n TCGBIOS=n MPT_SCSI=n ESP_SCSI=n MEGASAS=n NVME=n USE_SMM=n VGAHOOKS=n HOST_BIOS_GEOMETRY=n ACPI_PARSE=n)
 build/bios-256k.bin:
 	$(call build-bios,bios,QEMU=y ROM_SIZE=256)
+build/bios-microvm.bin:
+	$(call build-bios,bios,QEMU=y ROM_SIZE=256 XEN=n BOOTSPLASH=n ATA=n AHCI=n SDCARD=n PVSCSI=n ESP_SCSI=n LSI_SCSI=n MEGASAS=n MPT_SCSI=n FLOPPY=n NVME=n PS2PORT=n USB=n LPT=n RTC_TIMER=n USE_SMM=n PMTIMER=n TCGBIOS=n HARDWARE_IRQ=n ACPI_PARSE=y)
+
 
 ${BIOS_TARGETS}: build/env-stamp
 build/env-stamp:
@@ -81,17 +79,10 @@
 build/vgabios-ramfb.bin:
 	$(call build-bios,vgabios,BUILD_VGABIOS=y VGA_RAMFB=y VGA_PCI=n)
 
-build/optionrom-stamp:
-	$(MAKE) -C debian/optionrom/
-	chmod -x debian/optionrom/*.bin
-	ln -s kvmvapic.bin debian/optionrom/vapic.bin
-	mkdir -p $(dir $@) && touch $@
-
 clean:
 	dh_testdir
 	rm -rf build/
 	rm -f src/fw/*.hex
-	$(MAKE) -C debian/optionrom/ clean
 	dh_clean
 
 install install-indep: build-indep
