## seabios 1.16.0

=== debian/changelog ===
seabios (1.16.0-4) unstable; urgency=medium

  * set bios-microvm.bin bios size to be 128k not 256k.
    Upstream qemu uses 128k, but for some reason I set it to 256k when
    adding it to the debian package.  This change breaks migration between
    qemu running with old and new bios package but only for those VMs which
    are using this particular bios variant. In debian it is most likely the
    still-experimental qemu-system-x86_64-microvm binary.  It is better to
    fix this sooner instead of waiting before many VMs with this bios will
    emerge.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 01 May 2022 14:59:52 +0300

seabios (1.16.0-3) unstable; urgency=medium

  * fix a FTBFS bug in previous upload (too much cleanup is no good)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 01 May 2022 13:50:36 +0300

seabios (1.16.0-2) unstable; urgency=medium

  * d/control: switch to dh-compat=13 and use python3:any not python3
  * d/rules: set EXTRAVERSION to have -debian suffix
    (and cache it in build/env)
  * d/rules: collapse rules for vgabios-*.bin and bios*.bin into
    pattern rules with configs stored in make variables
  * d/rules: other small tweaks
  * d/changelog: wrap a long line in previous entry

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 01 May 2022 11:32:57 +0300

seabios (1.16.0-1) unstable; urgency=medium

  * new upstream release
  * d/links: remove /usr/share/seabios/optionrom/ old-compat symlinks
    which become dangling (Closes: #1003111)
  * d/control: remove Riku Voipio from Uploaders. Thank you Riko!
    (Closes: #1001567)
  * d/watch: add missing slash so it actually work
  * d/gbp.conf: specify upstream-vcs-tag format and filter generated
    src/fw/*.hex
  * nogitversion.patch: stop treating existance of .git/ as alternative version
  * d/rules: stop aborting if .git/ exists
  * d/rules: stop runnig dh_links and dh_installdirs
  * d/rules: reduce the clean target to one dh_clean invocation
  * d/rules: stop running dh_strip, we do not ship regular ELF binaries
  * d/rules: run dh_strip_nondeterminism
  * d/rules: move d/install into d/rules's dh_install line:
    we install just 2 patterns, can do that directly in d/rules

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 01 May 2022 02:23:45 +0300
