## seabios 1.16.2

=== debian/changelog ===
seabios (1.16.2-1) unstable; urgency=medium

  * sync with upstream stable 1.16.2 release (rel-1.16.2 tag):
    this brings up to the exactly same state as our rel-1.16.1.patch
    did, and brings up 2 more fixes:
    - usb: fix wrong init of keyboard/mouse's if first interface
      is not boot protocol
    - xen: require Xen info structure at 0x1000 to detect Xen

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 11 Apr 2023 16:08:25 +0300

seabios (1.16.0-5) unstable; urgency=medium

  * d/rules: vgabios.bin compatibility symlink for qemu (Closes: #1024382)
  * update release to 1.16.1 (as a patch file since tarball is not published)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 01 Dec 2022 17:06:24 +0300
