=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
-Uploaders: Riku Voipio <riku.voipio@iki.fi>,
-	Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper-compat (= 12), python3, acpica-tools | iasl
+Uploaders: Michael Tokarev <mjt@tls.msk.ru>
+Build-Depends: debhelper-compat (= 13), python3:any, acpica-tools | iasl
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qemu-team/seabios
