=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,8 @@
 	dh_testroot
 	dh_prep
 	dh_install build/*.bin build/src/fw/*dsdt.aml usr/share/seabios/
+# compatibility symlink for qemu, #1024382
+	dh_link usr/share/seabios/vgabios-isavga.bin usr/share/seabios/vgabios.bin
 
 binary binary-indep: install-indep
 	dh_testdir
