## seabios 1.16.3

=== debian/changelog ===
seabios (1.16.3-2) unstable; urgency=medium

  * d/rules: turn off LSI_SCSI and DEBUG_IO for 128k bios variant.
    these are probably the last bits which can be turned off before
    we will start breaking old versions of qemu.  upstream qemu
    turned off all pci devices for 128k bios variant, leaving only
    stuff needed for -M isapc, since it dropped <1.7 machines
    compatibility

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 30 Nov 2023 20:20:26 +0300

seabios (1.16.3-1) unstable; urgency=medium

  * new upstream release (rel-1.16.3)
    this brings up a few fixes, including `ahci: handle TFES irq correctly'
    which is needed for qemu 8.2+ with `D2H FIS when processing NCQ command'
    commit, esp-scsi fixes, and more.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 28 Nov 2023 12:05:35 +0300
