## seabios 1.17.0

=== debian/changelog ===
seabios (1.17.0-1) unstable; urgency=medium

  * new upstream release:
   - Prefer PCI IO allocations above 4Gig on 64bit capable machines
   - Multiple simultaneous USB keyboard and mouse support
   - Legacy support for internally generated ACPI tables has been removed
   - SeaVGABIOS support for VBE get/set palette data
   - Several bug fixes and code cleanups
  * d/rules: stop messing with acpi tables
  * d/control: do not build-depend on acpica-tools/iasl anymore

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 09 Sep 2025 21:35:53 +0300
