=== debian/rules ===
--- 
+++ 
@@ -33,10 +33,6 @@
 ${BIOS_TARGETS}: build/env
 build/env:
 	mkdir -p build
-# regenerate shipped .hex files (iasl-compiled .dsl)
-	rm -f src/fw/*.hex
-# `make iasl' unnecessarily generates .config
-	${MAKE} ${MAKEVARS} OUT=build/ KCONFIG_CONFIG=${CURDIR}/build/.fakeconfig iasl
 	echo "EXTRAVERSION=-debian-$$(dpkg-parsechangelog -SVersion)" > $@
 
 # A stripped-down version of bios, to fit in 128Kb, for qemu <= 1.7
@@ -65,13 +61,13 @@
 	$(call build-bios,vgabios,BUILD_VGABIOS=y ${vgabios-$*-config})
 
 clean:
-	dh_clean build/ src/fw/*.hex
+	dh_clean build/
 
 install install-indep: build-indep
 	dh_testdir
 	dh_testroot
 	dh_prep
-	dh_install build/*.bin build/src/fw/*dsdt.aml usr/share/seabios/
+	dh_install build/*.bin usr/share/seabios/
 # compatibility symlink for qemu, #1024382
 	dh_link usr/share/seabios/vgabios-isavga.bin usr/share/seabios/vgabios.bin
