=== debian/watch ===
version=3
https://www.seabios.org/downloads/ seabios-(\d[^\s/]*)\.tar\.(?:xz|gz|bz2)
